
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/ray_cs.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/net/wireless/ray_cs.c~pcmcia-id_table-for-ray_cs drivers/net/wireless/ray_cs.c
--- 25/drivers/net/wireless/ray_cs.c~pcmcia-id_table-for-ray_cs	Sun Mar  6 17:28:12 2005
+++ 25-akpm/drivers/net/wireless/ray_cs.c	Sun Mar  6 17:28:12 2005
@@ -2904,6 +2904,12 @@ static int write_int(struct file *file, 
 }
 #endif
 
+static struct pcmcia_device_id ray_ids[] = {
+	PCMCIA_DEVICE_MANF_CARD(0x01a6, 0x0000),
+	PCMCIA_DEVICE_NULL,
+};
+MODULE_DEVICE_TABLE(pcmcia, ray_ids);
+
 static struct pcmcia_driver ray_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -2911,6 +2917,7 @@ static struct pcmcia_driver ray_driver =
 	},
 	.attach		= ray_attach,
 	.detach		= ray_detach,
+	.id_table       = ray_ids,
 };
 
 static int __init init_ray_cs(void)
_
